Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDataStream.Version

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QDataStream.Version

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDataStream

    public static final class QDataStream.Version

extends java.lang.Enum
implements QtEnumerator

This enum provides symbolic synonyms for the data serialization format version numbers.

See also:
  `setVersion()`, and `version()`.

See Also:
  Serialized Form

Field Summary
`static QDataStream.Version` | `Qt_1_0` Version 1 (Qt 1.x)
`static QDataStream.Version` | `Qt_2_0` Version 2 (Qt 2.0)
`static QDataStream.Version` | `Qt_2_1` Version 3 (Qt 2.1, 2.2, 2.3)
`static QDataStream.Version` | `Qt_3_0` Version 4 (Qt 3.0)
`static QDataStream.Version` | `Qt_3_1` Version 5 (Qt 3.1, 3.2)
`static QDataStream.Version` | `Qt_3_3` Version 6 (Qt 3.3)
`static QDataStream.Version` | `Qt_4_0` Version 7 (Qt 4.0, Qt 4.1)
`static QDataStream.Version` | `Qt_4_2` Version 8 (Qt 4.2)
`static QDataStream.Version` | `Qt_4_3` Version 9 (Qt 4.3)
`static QDataStream.Version` | `Qt_4_4` Version 10 (Qt 4.4)

Method Summary
`static QDataStream.Version` | `resolve(int value)` Returns the QDataStream$Version constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDataStream.Version` | `valueOf(java.lang.String name)`
`static QDataStream.Version[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Qt_1_0

    public static final QDataStream.Version Qt_1_0

  Version 1 (Qt 1.x)

### Qt_2_0

    public static final QDataStream.Version Qt_2_0

  Version 2 (Qt 2.0)

### Qt_2_1

    public static final QDataStream.Version Qt_2_1

  Version 3 (Qt 2.1, 2.2, 2.3)

### Qt_3_0

    public static final QDataStream.Version Qt_3_0

  Version 4 (Qt 3.0)

### Qt_3_1

    public static final QDataStream.Version Qt_3_1

  Version 5 (Qt 3.1, 3.2)

### Qt_3_3

    public static final QDataStream.Version Qt_3_3

  Version 6 (Qt 3.3)

### Qt_4_0

    public static final QDataStream.Version Qt_4_0

  Version 7 (Qt 4.0, Qt 4.1)

### Qt_4_2

    public static final QDataStream.Version Qt_4_2

  Version 8 (Qt 4.2)

### Qt_4_3

    public static final QDataStream.Version Qt_4_3

  Version 9 (Qt 4.3)

### Qt_4_4

    public static final QDataStream.Version Qt_4_4

  Version 10 (Qt 4.4)

Method Detail

### values

    public static QDataStream.Version[] values()

### valueOf

    public static QDataStream.Version valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDataStream.Version resolve(int value)

  Returns the QDataStream$Version constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD